cURL
curl --request POST \ --url https://app.untetherlabs.com/api/v1/appointment-types \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "name": "<string>", "length": 6, "allowedRoles": [ "3c90c3cc-0d44-4b50-8888-8dd25736052a" ], "skillRequirement": { "type": "equal", "skill": "<string>", "value": "<string>" } } '
{ "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>", "length": 123, "allowedRoles": [ "3c90c3cc-0d44-4b50-8888-8dd25736052a" ], "skillRequirement": { "type": "equal", "skill": "<string>", "value": "<string>" } }
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
2
in minutes
x >= 5
Roles which are considered for this appointment type. Null means any role is allowed.
Show child attributes